List campaigns
curl --request GET \
--url https://agentcallback.com/api/campaigns \
--header 'x-api-key: <api-key>'import requests
url = "https://agentcallback.com/api/campaigns"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://agentcallback.com/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"campaigns": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"script_id": "<string>",
"total_calls": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 2,
"total_pages": 1,
"total_records": 1
}
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}GET
/
api
/
campaigns
List campaigns
Authorizations
Create and manage API keys in your AgentCallback account under Dashboard > API Keys.
Query Parameters
Page number.
Required range:
x >= 1Maximum number of campaigns per page.
Required range:
x >= 1Select active or archived campaigns.
Available options:
active, archived ⌘I